<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Roll extends Model
{
    use HasFactory, SoftDeletes;

    protected $guarded = [];
    protected $dates = ['deleted_at'];
    
    public function design()
    {
        return $this->belongsTo(Design::class);
    }

    public function product()
    {
        return $this->belongsTo(Product::class);
    }

    public function processing_house()
    {
        return $this->belongsTo(ProcessingHouse::class);
    }
}
