<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::prefix('/v1')->group(function () {

    Route::post('register', 'AuthController@register');
    Route::post('login', 'AuthController@login');
       Route::post('forget-password', 'AuthController@forgetPassword');
    Route::post('update-password', 'AuthController@updatePassword');
    Route::middleware('auth:sanctum')->group(function () {
        Route::apiResources([
            'users' => 'UserController',
            'customers' => 'CustomerController',
            'suppliers' => 'SupplierController',
            'payments' => 'PaymentController',
                      'processing-house' => 'ProcessingHouseController',

            'designs' => 'DesignController',
            'categories' => 'CategoryController',
            'products' => 'ProductController',
            'orders' => 'OrderController',
            'designMaster' => 'DesignMasterController',
            'purchaseOrder' => 'PurchaseOrderController',
            'yarnIssue' => 'YarnIssueController',
            'packagingList' => 'PackagingListController',
            'inventories' => 'InventoryController',
            'rolls' => 'RollController',
            'purchase-histories' => 'PurchaseOrderHistoryController',

        ]);
        
                Route::get('get-counts', 'DesignController@count');
                        Route::get('roll-counts/{design}', 'RollController@counts');
                        Route::post('roll-split/{id}', 'RollController@splitAndCreateRoll');



        Route::post('logout', 'AuthController@logout');
    });
});
